Skip to content

Unbind User Social Account ​

Permissions ​

The Identity Management API is authorized at the application level. Before calling the API, you need to set API permissions for different applications. For details, please refer to API Permissions.

Permission CodeDescription
user_allRead and write permissions for user management APIs
allRead and write permissions for all APIs

Request Description ​

Request Headers ​

Parameter NameNameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example ​

None

Request Parameters ​

Parameter NameNameRequiredTypeDescription
idSocial Account Binding Relationship IDYesStringID returned by the Get User Social Account List API

Response Example ​

Success Example ​

HTTP/1.1 204 No Content

Error Example ​

HTTP/1.1 400 Bad Request

json
{
"error_msg": "Social relationship unbinding failed, binding relationship does not exist",
"error_code": "OAP-0618"
}

Response Parameters ​

None

Error Codes ​

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400OAP-0618社交关系解绑失败,绑定关系不存在Social relationship unbinding failed, binding relationship does not existPlease check whether the input id is valid

BambooCloud IDaaS Open Platform